Difference between revisions of "Ubuntu"

From cchtml.com
Jump to: navigation, search
(typo)
Line 1: Line 1:
 +
== General Status ==
 +
* Included with Distribution
 +
* Native Installer Support contributed by Aric Cyr
 +
 
== Installation ==
 
== Installation ==
 
*[[Ubuntu_Installation_Guide|Installation Guide]]
 
*[[Ubuntu_Installation_Guide|Installation Guide]]

Revision as of 07:06, 15 March 2006

General Status

  • Included with Distribution
  • Native Installer Support contributed by Aric Cyr

Installation

Tips and Tricks

  • 64bit users should note that there is a problem in Breezy with the libdri.a library and fglrx. There is also a problem with the package generation scipts in the 8.18.8 ATI installer. The workaround for both of these problems can be found in the install guide. [resolved]: Both problems are fixed in 8.19.10 release. Always use the latest drivers when possible.
  • To build your own .deb packages for Ubuntu you will need to install at least the following packages from the apt repositories:
    • fakeroot
    • debhelper
    • build-essential
    • make
    • module-assistant
    • gcc-3.4
  • I found the generated packages for Breezy x86_64 broken in 8.21.7. The package xorg-driver-fglrx includes a libdri.a that is supposed to replace the original one from xserver-xorg-core. However the installation with dpkg fails, refusing to overwrite the existing libdri.a. If I run dpkg --force-overwrite the installation succeeds but the new libdri.a is saved as libdri.a.distrib. I had to manually copy it to libdri.a in order to get 3D acceleration working. Something weird going on with diversions.

aticonfig

Since version 8.18.6 the fglrx driver includes the aticonfig tool which simplifies xorg.conf editing. Here are some useful commands this tool offers (for a complete list see aticonfig --help).

Initial setup (creates device section using fglrx)
sudo aticonfig --initial
Enable Video acceleration (Xv Overlay)
sudo aticonfig --overlay-type=Xv
Force fglrx to use kernel's AGP driver instead of own implementation (only use when internal agpgart doesn't work)
sudo aticonfig --internal-agp=off

Related Resources